View Issue Details

IDProjectCategoryView StatusLast Update
0000105Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterScreezeAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000105: Fallback-Item für Iterator mit leerem Datencontainer
DescriptionDer Iterator sollte noch ein <iterator:fallbackitem> besitzen, welches immer dann gerendert wird, wenn ein leerer container (oder null / kein container) übergeben wird. Das erspart einem extra templates für "Kein Eintrag gefunden" o.ä.
Tagstemplates
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Relationships

related to 0000187 closedChristianAchatz Enable extended templating expression for iterator 

Activities

ChristianAchatz

2014-05-06 13:07

administrator   ~0000325

Proposed tag signature:

<html:iterator name="">
    ...
    [<iterator:addtaglib class="" prefix="" name=""/>]
    [<iterator:getstring namespace="" config="" entry=""/>]
    [<iterator:placeholder name=""/>]
    ...
    <iterator:item [getter=""]>
        <item:placeholder [name=""][getter=""] />
        [<item:getstring namespace="" config="" entry=""/>]
        [<item:addtaglib class="" prefix="" name=""/>]
    </iterator:item>
    ...
    <iterator:fallback>
        [<fallback:placeholder name="" />]
        [<fallback:addtaglib class="" prefix="" name="" />]
        [<fallback:getstring namespace="" config="" entry="" />]
    </iterator:fallback>
</html:iterator>

ChristianAchatz

2014-05-11 16:44

administrator   ~0000333

Implementation done, docs to be updated.

ChristianAchatz

2014-05-11 23:14

administrator   ~0000334

Docs done, will be updated/committed with 0000187.

Issue History

Date Modified Username Field Change
2013-12-16 13:24 Screeze New Issue
2013-12-16 13:25 Screeze Tag Attached: templates
2013-12-18 08:48 Screeze Project Usermanagement => Adventure PHP Framework
2013-12-31 14:28 ChristianAchatz Namespace => none
2013-12-31 14:28 ChristianAchatz Target Version => 2.1
2014-05-06 13:07 ChristianAchatz Note Added: 0000325
2014-05-06 13:07 ChristianAchatz Assigned To => ChristianAchatz
2014-05-06 13:07 ChristianAchatz Status new => assigned
2014-05-09 18:37 ChristianAchatz Relationship added related to 0000187
2014-05-11 16:44 ChristianAchatz Note Added: 0000333
2014-05-11 16:45 ChristianAchatz Status assigned => resolved
2014-05-11 16:45 ChristianAchatz Fixed in Version => 2.1
2014-05-11 16:45 ChristianAchatz Resolution open => fixed
2014-05-11 23:14 ChristianAchatz Note Added: 0000334
2015-10-12 12:20 ChristianAchatz Status resolved => closed